Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface RouteMBean

public abstract interface RouteMBean
extends Mtp3ManagedObjectMBean

This interface defines the methods of a Route Managed Bean (RouteMBean). A Route specifies the pre-determined path, consisting of a succession of signalling points/signalling transfer points and the interconnecting signalling links, that a message takes through the signalling network between the origination point and the destination point. ie. A Route specifies the path an MSU should take to an adjacent or far-end node.

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `ROUTE_AVAILABLE` Indicates that this Route is available.
`static int` | `ROUTE_RESTRICTED` Indicates that this Route is restricted.
`static int` | `ROUTE_UNAVAILABLE` Indicates that this Route is unavailable.

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`void` | `clearLinkSetList()` Removes all Linksets from this Linkset
`java.lang.Integer` | `getAvailability()` Returns the availability of this Route [ITU Rec.
`ObjectName` | `getDestSignallingPoint()` Gets the ObjectName of the Signalling point (SignallingPointMBean) that identifies the Destination SignallingPointMBean of this RouteSetMBean.
`ObjectName` | `getFirstLinkSet()` Gets the ObjectName of the Linkset which is intended to be used as first segment of the succession of Linksets in this Route, which form the signalling route on the network level.
`ObjectName` | `getLinkSet(java.lang.Integer index)` Gets the ObjectName of the Linkset at the specified position in the set of Linksets in this route
`ObjectName[]` | `getLinkSets()` Gets an array of ObjectNames of the list of Linksets in this route
`java.lang.Integer` | `getPriority()` Returns the priority of this Route within the containing Routeset.
`java.lang.Boolean` | `isRoutingAllowed()` Returns whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via the firstLinkset of this Route (the Adiministrative State).
`java.lang.Boolean` | `isSignallingPointAccessible()` Indicates if the respective Destination Signalling Point is accessible via the firstLinkset of this Route (the Operational State).
`void` | `setDestSignallingPoint(ObjectName destinationSignallingPoint)` Sets the Service Access Point (Mtp3SapMBean) that identifies the Destination OwnSignallingPointMBean (identified by the specified ObjectName) of this Routeset.
`void` | `setLinkSet(java.lang.Integer index, ObjectName linkset)` Sets a Linkset at the specified position in the Linkset (identified by the specified ObjectName) in this route
`void` | `setLinkSets(ObjectName[] linksets)` Sets the Linksets in this route identified by the specified ObjectName
`void` | `setPriority(java.lang.Integer priority)` Sets the priority of this Route within the containing Routeset.
`void` | `setRoutingAllowed(java.lang.Boolean allowed)` Sets whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via the firstLinkset of this Route (the Adiministrative State).

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### ROUTE_AVAILABLE

    public static final int ROUTE_AVAILABLE

  Indicates that this Route is available. A signalling route becomes available when a transfer-allowed message, indicating that signalling traffic towards a particular destination can be transferred via the signalling transfer point sending the concerned message, is received.

### ROUTE_UNAVAILABLE

    public static final int ROUTE_UNAVAILABLE

  Indicates that this Route is unavailable. A signalling route becomes unavailable when a transfer-prohibited message, indicating that signalling traffic towards a particular destination cannot be transferred via the signalling transfer point sending the concerned message, is received

### ROUTE_RESTRICTED

    public static final int ROUTE_RESTRICTED

  Indicates that this Route is restricted. A signalling route becomes restricted when a transfer-restricted message, indicating that the signalling traffic towards a particular destination is being transferred with some difficulty via the signalling transfer point sending the concerned message is received.

Method Detail

### getDestSignallingPoint

    public ObjectName getDestSignallingPoint()

  Gets the ObjectName of the Signalling point (SignallingPointMBean) that identifies the Destination SignallingPointMBean of this RouteSetMBean. The SignallingPointMBean may represent an adjacent or far-end node.
  Returns:
    the ObjectName of the destination SignallingPointMBean of this RouteSetMBean

### setDestSignallingPoint

    public void setDestSignallingPoint(ObjectName destinationSignallingPoint)

  Sets the Service Access Point (Mtp3SapMBean) that identifies the Destination OwnSignallingPointMBean (identified by the specified ObjectName) of this Routeset. The Mtp3SapMBean may represent an adjacent or far-end node.
  Parameters:
    `destinationSignallingPoint` - the destination OwmSignallingPointMBean of this RouteMBean.

### getFirstLinkSet

    public ObjectName getFirstLinkSet()

  Gets the ObjectName of the Linkset which is intended to be used as first segment of the succession of Linksets in this Route, which form the signalling route on the network level.
  Returns:
    the ObjectName of the first Linkset in this route

### isSignallingPointAccessible

    public java.lang.Boolean isSignallingPointAccessible()

  Indicates if the respective Destination Signalling Point is accessible via the firstLinkset of this Route (the Operational State).
  Returns:
    either:

    - true if the Signalling Point is accessible (enabled).
    - false otherwise (disabled).

### setRoutingAllowed

    public void setRoutingAllowed(java.lang.Boolean allowed)

  Sets whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via the firstLinkset of this Route (the Adiministrative State).
  Parameters:
    `allowed` - either:

    - true if routing is permitted (unlocked).
    - false otherwise (locked).

### isRoutingAllowed

    public java.lang.Boolean isRoutingAllowed()

  Returns whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via the firstLinkset of this Route (the Adiministrative State).
  Returns:
    either:

    - true if routing is permitted (unlocked).
    - false otherwise (locked).

### getAvailability

    public java.lang.Integer getAvailability()

  Returns the availability of this Route [ITU Rec. Q.704, 3.4]. This is a display only attribute.
  Returns:
    either:

    - ROUTE_AVAILABLE
    - ROUTE_UNAVAILABLE
    - ROUTE_RESTRICTED

### getPriority

    public java.lang.Integer getPriority()

  Returns the priority of this Route within the containing Routeset. The returned priority determines if this Route is used as current Route. Enabled Routes (isSignallingPointAccessible() == true) contained in the same Routeset are chosen in ascending order as current routes (The lower the value, the higher the priority).
  Returns:
    the priority (The lower the value, the higher the priority)

### setPriority

    public void setPriority(java.lang.Integer priority)
                     throws java.lang.IllegalArgumentException

  Sets the priority of this Route within the containing Routeset. The supplied priority will determine if this Route is used as current Route. Enabled Routes (isSignallingPointAccessible() == true) contained in the same Routeset are chosen in ascending order as current routes (The lower the value, the higher the priority).
  Parameters:
    `priority` - the priority (The lower the value, the higher the priority)
  Throws:
    java.lang.IllegalArgumentException - - if the supplied priority is unnaceptable

### getLinkSets

    public ObjectName[] getLinkSets()

  Gets an array of ObjectNames of the list of Linksets in this route
  Returns:
    an array of ObjectNames of the linksets in this route

### getLinkSet

    public ObjectName getLinkSet(java.lang.Integer index)

  Gets the ObjectName of the Linkset at the specified position in the set of Linksets in this route
  Parameters:
    `index` - the index position of the element in the array
  Returns:
    the ObjectName of the linkset

### setLinkSet

    public void setLinkSet(java.lang.Integer index,
                           ObjectName linkset)
                    throws TooManyInstancesException

  Sets a Linkset at the specified position in the Linkset (identified by the specified ObjectName) in this route
  Parameters:
    `index` - the index position of the element in the array
    `linkset` - the ObjectName of the Linkset to be added
  Throws:
    TooManyInstancesException - - if index is greater than the number of LinksetMBeans permitted in a RouteMBean by this implementation.

### setLinkSets

    public void setLinkSets(ObjectName[] linksets)
                     throws TooManyInstancesException

  Sets the Linksets in this route identified by the specified ObjectName
  Parameters:
    `linksets` - the ObjectNames of the Linksets that compose this route
  Throws:
    TooManyInstancesException - - if the size of linksets is greater than the number of LinksetMBeans permitted in a RouteMBean by this implementation.

### clearLinkSetList

    public void clearLinkSetList()

  Removes all Linksets from this Linkset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems